Ethiack Docs
Events

Create machine Event

POST
/v1/events/

Create a new machine event with the provided event details.

Note: This operation can be performed by integrators or organizations. Organizations may omit organization_id.

AuthorizationBasic <token>

Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.

In: header

Request Body

application/json

Event data required to create a new machine event

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.ethiack.com/v1/events/" \  -H "Content-Type: application/json" \  -d '{    "organization_id": null,    "add_assets": true,    "launch_recon": true,    "end_date": null,    "name": null  }'
{
  "code": 0,
  "description": "string",
  "id": null,
  "success": true
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}